Skip to main content

🔠 Strings

Power Automate connector in preview

Power Automate connector is currently in preview. It has all the functionality. Preview flag will be removed in some time as Mockster finds its users.

Description​

Generate random strings. Returns an array of properties, by default ten.

Query options​

ParameterDescriptionDefault
CountCount of objects returned10
SeedSeed value for reproducible results.null

Request​

Power Automate​

In Power Automate you can find this endpoint by searching for Get string mockdata.

Get string mockdata action

HTTP​

Or you can use an HTTP request.

HTTP
GET https://api.mockster.dev/api/v1/strings
Accept: application/json

Response​

Example​

JSON
[
{
"alpha": "C",
"alphaNumeric": "X",
"binary": "0b0",
"hexadecimal": "0xa",
"nanoid": "tooWOZFFJtCGUTLofxCia",
"numeric": "6",
"octal": "0o6",
"sample": "G^XL?D'u|D",
"symbol": "-",
"uuid": "9b39132d-5157-42c4-bd5e-84f30c6d3692"
}
]

Alpha​

JSONPower Automate
alphaAlpha

Returns an alphabetic character. For example: C.

Return datatype: string

Alpha Numeric​

JSONPower Automate
alphaNumericAlphanumeric

Returns an alphanumeric character. For example: X.

Return datatype: string

Binary​

JSONPower Automate
binaryBinary

Returns a binary number. For example: 0b0.

Return datatype: string

Hexadecimal​

JSONPower Automate
hexadecimalHexadecimal

Returns a hexadecimal number. For example: 0xa.

Return datatype: string

Nanoid​

JSONPower Automate
nanoidNanoid

Returns a nanoid. For example: tooWOZFFJtCGUTLofxCia.

Return datatype: string

Numeric​

JSONPower Automate
numericNumeric

Returns a numeric character. For example: 6.

Return datatype: string

Octal​

JSONPower Automate
octalOctal

Returns an octal number. For example: 0o6.

Return datatype: string

Sample​

JSONPower Automate
sampleSample

Returns a sample string. For example: G^XL?D'u|D.

Return datatype: string

Symbol​

JSONPower Automate
symbolSymbol

Returns a symbol. For example: -.

Return datatype: string

UUID​

JSONPower Automate
uuidUUID

Returns a UUID. For example: 9b39132d-5157-42c4-bd5e-84f30c6d3692.

Return datatype: string